<?php
$options = In8_NetSuite_Inventory::options();
?>
<div id="in8_page_<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>" class="in8_page">
    <div class="row">
        <div class="col-xs-6 well">
            <h3>Inventory settings</h3>            
            
            <form class="in8_ajax_form_save well" role="form">
                <div class="form-group">
                    <label for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_enable_product_sync">
                        Enable Inventory Sync
                    </label>
                    <span class="woocommerce-help-tip" data-tip="This will enable/disable inventory sync"></span>
                    <input type="checkbox" class="enable_inventory_sync form-control" name="options[enable_inventory_sync]" <?php
                    if ((isset($options['enable_inventory_sync']) && $options['enable_inventory_sync'] == 'on')) {
                        echo "checked";
                    }
                    ?>>
                    
                </div>
                <div class="form-group">
                    <label for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_location_id">NetSuite Location Internal Id</label>
                    <span class="woocommerce-help-tip" data-tip="Location ID to fetch inventory from, leave empty for getting inventory from all locations"></span>
                    <input class="form-control" type="text" value="<?php echo (isset($options['location_id']) ? $options['location_id'] : '') ?>" placeholder="location id" name="options[location_id]" id="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_location_id">
                </div>
                <div class="form-group">
                    <label for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_multy_location_id">Map locations</label>
                    <span class="woocommerce-help-tip" data-tip="Use this to map multiple locations <br> Example Value :<br> 1, 4 => _stock_aud, 3 => stock_ax <br> location 1 goes into stock_qty<br>location 4 goes into custom field '_stock_aud'<br>location 3 goes into custom field 'stock_ax'"></span>
                    <input class="form-control" type="text" value="<?php echo (isset($options['multy_location_id']) ? $options['multy_location_id'] : '') ?>" placeholder="1, 2=>_stock_aud, 3 => _stock_gbp" name="options[multy_location_id]" id="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_multy_location_id">
                </div> 
                <div class="form-group">
                    <label for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_subsidiary_id">NetSuite Subsidiary Internal Id</label>
                    <span class="woocommerce-help-tip" data-tip="Subsidiary ID to fetch inventory from, leave empty for getting inventory from all subsidiaries"></span>
                    <input class="form-control" type="text" value="<?php echo (isset($options['subsidiary_id']) ? $options['subsidiary_id'] : '') ?>" placeholder="subsidiary id" name="options[subsidiary_id]" id="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_subsidiary_id">
                </div>
                <div class="form-group">
                    <label for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_all_location_inventory">Use Inventories from All Locations</label>
                    <span class="woocommerce-help-tip" data-tip="If checked, inventory count will be a sum of all locations"></span>
                    <input class="form-control" type="checkbox" <?php echo (isset($options['use_all_location_inventory']) ? 'checked' : ''); ?> name="options[use_all_location_inventory]" id="<?php echo In8_NetSuite_Inventory::getOptionsTag(); ?>_all_location_inventory">
                </div>
 
                <div class="form-group row">
                    <label class="col-xs-12" for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_backorders">Allow Backorders </label>
                    <span class="woocommerce-help-tip" data-tip="Set a default value for Backorders"></span>
                    <div class="col-xs-4"> 
                        <select class="form-control" name="options[backorders]" id="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_backorders">
                            <?php
                            $opts = ['yes' => 'Yes', 'no' => 'No', 'notify' => 'Notify', 'disable' => 'Disable Backorders'];
                            foreach ($opts as $key => $opt) {
                                ?>
                                <option value="<?php echo $key ?>" <?php echo ( (isset($options['backorders']) && $options['backorders'] == $key ) ? 'selected=selected' : '') ?>><?php echo $opt ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>



                <div class="form-group row">
                    <label  class="col-xs-12" for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_update_stock_status">Update stock status</label>
                    <span class="woocommerce-help-tip" data-tip="If yes, then it set stock based on quantity value. Yes - Updates based on the quantity considering the out of stock threshold. No - Sets the item to in stock. Ignore - Doesn't change the stock status."></span>
                    <div class="col-xs-4">
                        <select class="form-control" name="options[update_stock_status]" id="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_update_stock_status">
                            <?php
                            $opts = ['yes' => 'Yes', 'no' => 'No', 'ignore' => 'Ignore'];
                            foreach ($opts as $key => $opt) {
                                ?>
                                <option value="<?php echo $key; ?>" <?php echo ( (isset($options['update_stock_status']) && $options['update_stock_status'] == $key ) ? 'selected=selected' : '') ?>><?php echo $opt ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-xs-12" for="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>_cron_scheduled">Cronjob interval </label>
                    <div class="col-xs-4">
                        <select class="form-control" name="options[cron_scheduled]" id="<?= In8_NetSuite_Inventory::getOptionsTag() ?>_cron_scheduled">
                            <?php
                            $opts = ['2 minutes' => 'Every 2 minutes', '15 minutes' => 'Every 15 minutes', '30 minutes' => 'Every 30 minutes', '1 hour' => 'Once per hour', '3 hours' => 'Every 3 hours', '6 hours' => 'Every 6 hours', '12 hours' => 'Twice a day', '1 day' => 'Once a day'];
                            foreach ($opts as $key => $opt) {
                                ?>
                                <option value="<?= $key ?>" <?= ( (isset($options['cron_scheduled']) && $options['cron_scheduled'] == $key ) ? 'selected=selected' : '') ?>><?= $opt ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>

                <input type="hidden" name="action" value="<?php echo In8_NetSuite_Inventory::getOptionsTag() ?>">

                <button class="in8_button btn btn-success btn-lg">Save</button>

            </form>

        </div>

        <div class="col-xs-6">
            <div class="btn btn-primary" id="getIdsFromNS">Load Internal Ids From NetSuite</div>
            <span class="woocommerce-help-tip" data-tip="Load Locations and Subsidiaries from NetSuite"></span>

			<a class="btn btn-primary thickbox" href="?process_inventories=1">Update inventories</a>
            <br/><br/>
            <div id="netSuiteData">
                <?php if ( isset($locations) ) { ?>
                        <div class="well">
                            <table class="table table-responsive table-bordered">
                                <caption><h4>NetSuite Locations</h4></caption>
                                <thead class="warning">
                                <th>Name</th>
                                <th>Internal Id</th>
                                </thead>
                                <tbody>
                                    <?php foreach ($locations as $location) { ?>
                                        <tr>
                                            <td><?php echo $location['name']; ?></td>
                                            <td><?php echo $location['internalId']; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    <?php } ?>

                    <?php if (isset($subsidiaries)) { ?>
                        <div class="well">
                            <table class="table table-responsive table-bordered">
                                <caption><h4>NetSuite Subsidiaries</h4></caption>
                                <thead class="warning">
                                <th>Name</th>
                                <th>Internal Id</th>
                                </thead>
                                <tbody>
                                    <?php foreach ($subsidiaries as $subsidiary) { ?>
                                        <tr>
                                            <td><?php echo $subsidiary['name']; ?></td>
                                            <td><?php echo $subsidiary['internalId']; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    <?php } ?>
            </div>
        </div>
        
    </div>
</div>

<script>
    jQuery(document).ready( function($) {
        $('#getIdsFromNS').click( function() {
            var data = {
                'action': 'In8_Inventory_NS',
            };

            $('#netSuiteData').html('Loading. Please wait...');

            $.post(ajaxurl, data, function(response) {
                $('#netSuiteData').html(response);
            });
        });
    });
</script>